import java.io.*;
import java.util.*;

public class necklace_av implements Runnable {
	public static void main(String[] args) {
		new Thread(new necklace_av()).start();
	}

	BufferedReader br;

	StringTokenizer in;

	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}

		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public void solve() throws IOException {
		int n = nextInt();
		
		if (n <= 5){
			out.println(-1);
			return;
		}
		
		out.print("0 1 0 0");
		for (int i = 0; i < n - 4; i++) {
			out.print(" 1");
		}
	}

	public void run() {
		try {
			br = new BufferedReader(new FileReader("necklace.in"));
			out = new PrintWriter("necklace.out");

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}
